Page MenuHomePhabricator

Historical Visual diff annotation column overlaps other content in certain diffs
Closed, ResolvedPublic1 Story Points

Description

Example link: https://de.wikipedia.org/w/index.php?title=Jackie_Mittoo&diff=161316419&oldid=132611209&diffmode=visual

If you have diff + preview enabled, and when there is no content in the diff part of the visual diff, but there is content in the annotation column, then the section has no height, and causes the annotations to overlap. A clearing of the floating is required (can't we just use flexbox here btw, with floating fallback for old crappy browsers ?).

This might also occur for visual diffs of VE changes, I haven't tested that.

Event Timeline

TheDJ created this task.Feb 19 2018, 2:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2018, 2:08 PM
TheDJ renamed this task from Visual diff annotation column overlaps other content to Historical Visual diff annotation column overlaps other content in certain diffs.Feb 19 2018, 2:09 PM
TheDJ updated the task description. (Show Details)
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 19 2018, 2:09 PM
Esanders reopened this task as Open.Feb 20 2018, 3:03 PM
Esanders added a subscriber: Esanders.

un-merging

Change 412927 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Account for visually diffed element having to clientRect

https://gerrit.wikimedia.org/r/412927

There is already code to handle this, it is just throwing an exception on the category diff before it gets that far :)

Esanders claimed this task.Feb 20 2018, 3:06 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 412927 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Account for visually diffed element having to clientRect

https://gerrit.wikimedia.org/r/412927

Change 412958 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8c5b27028)

https://gerrit.wikimedia.org/r/412958

Change 412958 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8c5b27028)

https://gerrit.wikimedia.org/r/412958

Deskana closed this task as Resolved.Feb 21 2018, 12:20 PM
Deskana triaged this task as Normal priority.
Deskana set the point value for this task to 1.